
%global debug_package   %{nil} 

%global provider        github
%global provider_tld    com
%global project         prometheus
%global repo            alertmanager
# https://github.com/prometheus/alertmanager
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global commit          9f5f4b2a516d35cfaf196530b277f1d109254569
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global build_gopath    %{_builddir}/%{repo}-%{shortcommit}-gopath
%global upstream_ver    0.9.1
%global rpm_ver         %(v=%{upstream_ver}; echo ${v//-/_})

Name:		golang-%{provider}-%{project}-%{repo}
Version:	%{rpm_ver}
Release:	2.git%{shortcommit}%{?dist}
Summary:	The Prometheus Alertmanager handles alerts sent by client applications such as the Prometheus server.
License:	ASL 2.0
URL:		https://prometheus.io/
Source0:	https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Patch0:         0001-Don-t-check-the-network-for-updates-to-promu.patch
Patch1:		0002-Strip-debug-info-from-binaries.patch

# promu build tool used for building prometheus
%global promu_repo      promu
%global promu_prefix    %{provider}.%{provider_tld}/%{project}/%{promu_repo}
%global promu_commit    85ceabc50a0f1c0072304f694333062836c9f640
%global promu_shortcmt  %(c=%{promu_commit}; echo ${c:0:7})
Source1:       https://%{promu_prefix}/archive/%{promu_commit}/%{promu_repo}-%{promu_shortcmt}.tar.gz

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm}}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires: %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{summary}

%package -n %{project}-%{repo}
Summary:        %{summary}
Provides:       prometheus-alertmanager = %{version}-%{release}

%description -n %{project}-%{repo}
%{summary}

%prep
%setup -q -T -n %{promu_repo}-%{promu_commit} -b 1
%setup -q -n %{repo}-%{commit}
%patch0 -p1
%patch1 -p1

%build
mkdir -p %{build_gopath}/src/%{provider}.%{provider_tld}/%{project}
# Link the extracted source directories to the expected GOPATH layout
ln -s ../../../../%{repo}-%{commit} %{build_gopath}/src/%{import_path}
ln -s ../../../../%{promu_repo}-%{promu_commit} %{build_gopath}/src/%{promu_prefix}

export GOPATH=%{build_gopath}
unset GOBIN
cd %{_builddir}/%{repo}-%{commit}
make build

%install
install -d %{buildroot}%{_bindir}
export PROM_BUILDDIR="%{_builddir}/%{repo}-%{commit}"
install -D -p -m 0755 ${PROM_BUILDDIR}/alertmanager %{buildroot}%{_bindir}/alertmanager
install -d %{buildroot}%{_sysconfdir}/prometheus
install -D -p -m 0644 ${PROM_BUILDDIR}/doc/examples/simple.yml %{buildroot}%{_sysconfdir}/prometheus/alertmanager.yml

%files -n %{project}-%{repo}
%license LICENSE NOTICE
%doc CHANGELOG.md CONTRIBUTING.md MAINTAINERS.md README.md
%config %{_sysconfdir}/prometheus/alertmanager.yml
%{_bindir}/alertmanager

%changelog
* Fri Sep 01 2017 Paul Gier <pgier@redhat.com> - 0.8.0-2
- Strip debug and remove duplicate package

* Fri Aug 25 2017 Paul Gier <pgier@redhat.com> - 0.8.0-1
- First package for Openshift

